﻿/* CSS Document */
form.formeditor {
	width:70%;
	margin:0 auto;
}
form.formeditor>div.formeditor {
    border-bottom: 1px solid #eee;
    color: #666;
    font-size: 15px;
    line-height: 16px;
    margin: 0;
    padding: 4px 0 2px;
    text-align: left;
}

form.formeditor label {
    font-weight: bold;
    max-width: 100%;
    display: inline-block;
    margin: 9px 0;
    padding: 0;
    vertical-align: top;
    width: 35%;
}
	form.formeditor label.required::after {
		color: #d00;
		content: "*";
		font-size: 15px;
	}
/* Radio & checkbox */
form.formeditor div.formeditor.radio div.formeditor-fieldgroup, form.formeditor div.formeditor.checkbox div.formeditor-fieldgroup {
	display: inline-block;
	width: 52%;
}
	form.formeditor div.formeditor.radio div.formeditor-fieldgroup label, form.formeditor div.formeditor.checkbox div.formeditor-fieldgroup label {
		width: auto !important;
		font-weight:normal;
	}
/* staticText */
form.formeditor div.formeditor.statictext {
	border:0 none;
}
	form.formeditor div.formeditor.statictext p {
		font-size: 20px;
		line-height: 30px;
		margin: 0;
		padding: 10px 0 5px;
	}
/* Séparator */
form.formeditor div.formeditor.separator {
	border:0 none;
}

/* FIELDS */
form.formeditor input, form.formeditor select, form.formeditor textarea {
    background-color: #f3f3f3;
    border: 1px solid #d6d6d6;
    display: inline-block;
    font-size: 13px;
    height: 25px;
    line-height: 15px;
    margin: 7px 0;
    padding: 0 3px;
    vertical-align: top;
    width: 62%;
}
form.formeditor input[type="radio"], form.formeditor input[type="checkbox"] {
    background-color: #fff !important;
    border: medium none;
    display: inline-block;
    margin: 5px 3px 0 0;
    vertical-align: middle;
    width: auto !important;
	line-height: normal;
	box-sizing: border-box;
    padding: 0;
	position: relative;
}
form.formeditor textarea {
    -moz-border-bottom-colors: none;
    -moz-border-left-colors: none;
    -moz-border-right-colors: none;
    -moz-border-top-colors: none;
    border-color: #e0e0e0 -moz-use-text-color;
    border-image: none;
    border-style: solid none;
    border-width: 1px medium;
    height: 150px;
    margin: 0;
    resize: none;
    width: 100%;
}

/* submit */
form.formeditor button[type="submit"] {
    background-color: #0a75b9;
    border: medium none;
    border-radius: 5px;
    color: #fff;
    display: block;
    font-size: 18px;
    height: 43px;
    line-height: 41px;
    margin: 30px auto 10px;
    padding: 0 15px;
    text-decoration: none;
    text-transform: uppercase;
    width: auto;
}

/* Class & id */
form.formeditor #form-error {
	background-color: #f2dede;
    border-color: #ebccd1;
    color: #a94442;
	padding: 15px;
	border-radius: 4px;
    margin-bottom: 20px;
}
form.formeditor .formeditor-errormsg {
	background-color: #f2dede;
    border-color: #ebccd1;
    color: #a94442;
	padding: 5px;
	border-radius: 4px;
	display: inline-block;
	width: auto;
	margin:0 0 2px 36%;
}
	form.formeditor .formeditor.error>label {
		color: #a94442;
	}

form.formeditor .formeditor-help {
	color: #737373;
    display: block;
	font-size:12px;
	font-style:italic;
	display: inline-block;
	width: 62%;
	margin:0 0 10px 36%;
}
